MetacatUI - Task #6735
Story # 6724 (Resolved): Recreate the DataONE portal in MetacatUI

Generate a new API token on the user profile
04/14/2015 12:29 PM - Lauren Walker

Status: Resolved Start date: 04/14/2015
Priority: Normal Due date:

Assignee: Lauren Walker % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 1.9.0 Spent time: 0.00 hour
Description

History

#1 - 04/14/2015 12:31 PM - Lauren Walker

From Matt:

Let's put the token in an uneditable text box so it is easily selectable to copy, and also provide a copy button that makes it really easy to copy via a js
call (see example on github's clone URLs for repositories, or various link shorteners).

#2 - 04/24/2015 03:21 PM - Lauren Walker

- Status changed from New to In Progress

Everything is done except for the copy to clipboard part. There is a widely-used code library called ZeroClipboard that uses an Adobe Flash movie in
order to copy to the system clipboard. I'm holding out on adding this in until last since it's of the least importance and it's Flash...

#3 - 09/17/2015 09:56 AM - Lauren Walker
- Status changed from In Progress to Resolved

- translation missing: en.field_remaining_hours set to 0.0

The user profile now has a "copy" button that copies the token to the user's clipboard, using the <a
href="https://github.com/zeroclipboard/zeroclipboard">ZeroClipboard</a> JS library.
The token is displayed in a textarea element so that users in IE<9 can still copy/paste manually
